%global srcname tzlocal

Name:           python-tzlocal
Version:        5.2
Release:        %mkrel 2
Summary:        A Python module that tries to figure out what your local timezone is
Group:          Development/Python

License:        CC0
URL:            https://github.com/regebro/tzlocal
Source0:        %{pypi_source}

BuildArch:      noarch

BuildRequires: pyproject-rpm-macros
BuildRequires:  python3-devel
BuildRequires:  python3dist(pytest)
BuildRequires:  python3-pytz
BuildRequires:  python3-setuptools


%description
This Python module returns a tzinfo object with the local timezone information. 
It requires pytz, and returns pytz tzinfo objects.  This module attempts to fix 
a glaring hole in pytz, that there is no way to get the local timezone 
information, unless you know the zoneinfo name.


%package -n python3-%{srcname}
Summary:        A Python module that tries to figure out what your local timezone is

License:        CC0

%description -n python3-%{srcname}
This Python module returns a tzinfo object with the local timezone information. 
It requires pytz, and returns pytz tzinfo objects.  This module attempts to fix 
a glaring hole in pytz, that there is no way to get the local timezone 
information, unless you know the zoneinfo name.


%prep
%setup -q -n %{srcname}-%{version}


%generate_buildrequires
%pyproject_buildrequires

%build
%pyproject_wheel


%install
%pyproject_install
%pyproject_save_files tzlocal

%check
%{__python} setup.py test || true

%files -n python3-%{srcname} -f %{pyproject_files}
%doc PKG-INFO README.rst LICENSE.txt CHANGES.txt



%changelog
* Sun Dec 22 2024 papoteur <papoteur> 5.2-2.mga10
+ Revision: 2129040
- add and use pytest

* Sun Dec 31 2023 joequant <joequant> 5.2-1.mga10
+ Revision: 2024912
- update to 5.2 py3.12

* Thu Sep 08 2022 neoclust <neoclust> 4.2-1.mga9
+ Revision: 1885721
- New version  4.2

* Thu Mar 24 2022 umeabot <umeabot> 4.1-2.mga9
+ Revision: 1824765
- Mageia 9 Mass Rebuild

* Mon Feb 14 2022 mrambo3501 <mrambo3501> 4.1-1.mga9
+ Revision: 1774723
- fix files list
- version 4.1
- rebuild for python-3.10

* Mon Mar 15 2021 wally <wally> 2.1-2.mga9
+ Revision: 1703347
- rebuild for python 3.9

* Fri Dec 18 2020 joequant <joequant> 2.1-1.mga8
+ Revision: 1660584
- update to 2.1

* Sun May 03 2020 joequant <joequant> 2.0.0-1.mga8
+ Revision: 1578515
- update to 2.0.0

* Sun Feb 16 2020 umeabot <umeabot> 1.5.1-3.mga8
+ Revision: 1532607
- Mageia 8 Mass Rebuild

* Mon Sep 16 2019 tv <tv> 1.5.1-2.mga8
+ Revision: 1442525
- rebuild for python-3.8
- drop python2 subpkg

* Tue Jan 08 2019 shlomif <shlomif> 1.5.1-1.mga7
+ Revision: 1352447
- Rebuild for python3 3.7

* Fri Sep 21 2018 umeabot <umeabot> 1.2.2-3.mga7
+ Revision: 1290441
- Mageia 7 Mass Rebuild

* Sat Aug 05 2017 pterjan <pterjan> 1.2.2-2.mga7
+ Revision: 1135673
- Rebuild for python 3.6

* Sun May 22 2016 joequant <joequant> 1.2.2-1.mga6
+ Revision: 1017520
- upgrade 1.2.1

* Fri Feb 19 2016 umeabot <umeabot> 1.1.2-3.mga6
+ Revision: 970693
- Mageia 6 Mass Rebuild

* Thu Oct 08 2015 tv <tv> 1.1.2-2.mga6
+ Revision: 887584
- rebuild for python 3.5

* Tue Nov 04 2014 joequant <joequant> 1.1.2-1.mga5
+ Revision: 795581
- imported package python-tzlocal

